Subject: bug#29812: 27.0.50; electric-quote-replace-double misbehaves in Lisp strings

From: Eli Zaretskii <[email-masked]>
Date: Sun, 31 Dec 2017 18:59:43 +0200

> From: Philipp Stephani <[email-masked]>
> Date: Sun, 31 Dec 2017 16:49:31 +0000
> Cc: [email-masked]
> 
>  In C, "\"foo\"" produces ASCII quotes.
> 
> Did you enable electric-quote-string?

Should I?

>  Well, can you give an example where it does work in strings?  Maybe
>  I'm missing something, because it looked to me as if it never works in
>  that case.
> 
> Depends on what you mean with "work".

I mean some way of inserting “foo” inside a string.  Is that possible
somehow?

> A bare " should always close the string; after a \ it currently inserts
> an opening quote because it only looks back one character. 

Which is a bug, isn't it?